TextDisplay

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hardware.frontpanel
Interface TextDisplay

All Superinterfaces:
  ResourceProxy

    public interface TextDisplay

extends ResourceProxy

This interface represents one line of characters in a front panel display.

Field Summary
`static byte` | `STRING_MODE` The line can be set using a string of displayable characters.
`static byte` | `TWELVE_HOUR_CLOCK` This line will display the network time using a standard 12 hour HH:MM format.
`static byte` | `TWENTYFOUR_HOUR_CLOCK` This line will display the network time using a military 24 hour HH:MM format.

Method Summary
`void` | `eraseDisplay()` Removes characters from the text display.
`BlinkSpec` | `getBlinkSpec()` Gets the blink specification for the front panel text display.
`BrightSpec` | `getBrightSpec()` Gets the brightness specification for the front panel text display.
`String` | `getCharacterSet()` Gets the set of characters supported by the display.
`ColorSpec` | `getColorSpec()` Gets the Color specification for the front panel text display.
`int` | `getMode()` Gets the text display mode.
`int` | `getNumberColumns()` Gets the number of columns (characters) per line in the text display.
`int` | `getNumberRows()` Gets the number of rows (i.e.
`ScrollSpec` | `getScrollSpec()` Gets the scroll specification for the front panel text display.
`void` | `setClockDisplay(byte mode, BlinkSpec blinkSpec, ScrollSpec scrollSpec, BrightSpec brightSpec, ColorSpec colorSpec)` Displays the current system time on the front panel text display.
`void` | `setTextDisplay(String[] text, BlinkSpec blinkSpec, ScrollSpec scrollSpec, BrightSpec brightSpec, ColorSpec colorSpec)` Displays text on the front panel display.
`void` | `setWrap(boolean wrap)` Sets wrapping on or off.

Methods inherited from interface org.davic.resources.ResourceProxy
`getClient`

Field Detail

### TWELVE_HOUR_CLOCK

    static final byte TWELVE_HOUR_CLOCK

  This line will display the network time using a standard 12 hour HH:MM format.

  See Also:
    Constant Field Values

### TWENTYFOUR_HOUR_CLOCK

    static final byte TWENTYFOUR_HOUR_CLOCK

  This line will display the network time using a military 24 hour HH:MM format.

  See Also:
    Constant Field Values

### STRING_MODE

    static final byte STRING_MODE

  The line can be set using a string of displayable characters.

  See Also:
    Constant Field Values

Method Detail

### getBrightSpec

    BrightSpec getBrightSpec()

  Gets the brightness specification for the front panel text display. Changing values within the object returned by this method does not take affect until one of the set methods in this interface is called and the object is passed to the implementation.

  Returns:
    LED front panel brightness specification.

### getColorSpec

    ColorSpec getColorSpec()

  Gets the Color specification for the front panel text display. Changing values within the object returned by this method does not take affect until one of the set methods in this interface is called and the object is passed to the implementation.

  Returns:
    LED front panel Color specification or MAY return null if changing the color is not supported.

### getBlinkSpec

    BlinkSpec getBlinkSpec()

  Gets the blink specification for the front panel text display. Changing values within the object returned by this method does not take affect until one of the set display methods in this interface is called and the object is passed to the implementation.

  Returns:
    LED front panel blink specification or MAY return null if blinking is not supported.

### getScrollSpec

    ScrollSpec getScrollSpec()

  Gets the scroll specification for the front panel text display. Changing values within the object returned by this method does not take affect until one of the set display methods in this interface is called and the object is passed to the implementation.

  Returns:
    LED front panel scroll specification.

### getMode

    int getMode()

  Gets the text display mode. See definitions of `TWELVE_HOUR_CLOCK`, `TWENTYFOUR_HOUR_CLOCK`, and `STRING_MODE` for possible return values.

  Returns:
    Text display mode.

### getNumberColumns

    int getNumberColumns()

  Gets the number of columns (characters) per line in the text display. The text is considered fixed font by this method. Dynamic font sizes can be supported and the calculation for this method uses the largest character size for the given font.

  Returns:
    Number of columns.

### getNumberRows

    int getNumberRows()

  Gets the number of rows (i.e. lines) in the text display.

  Returns:
    Number of rows.

### getCharacterSet

    String getCharacterSet()

  Gets the set of characters supported by the display. This API does not contain font support and this method is the only way to discover the character set supported by the front panel. In addition, certain types of displays do not support the entire alphabet or symbol set, e.g. seven segment LEDs.

  Returns:
    Supported character set.

### setClockDisplay

    void setClockDisplay(byte mode,
                         BlinkSpec blinkSpec,
                         ScrollSpec scrollSpec,
                         BrightSpec brightSpec,
                         ColorSpec colorSpec)
                         throws IllegalStateException

  Displays the current system time on the front panel text display. The display is formatted to the mode parameter.

  Parameters:
    `mode` - One of the clock modes; `TWELVE_HOUR_CLOCK`, or `TWENTYFOUR_HOUR_CLOCK`.
    `blinkSpec` - Blink specification if blinking is desired. A value of null turns blinking off.
    `scrollSpec` - Scroll specification if scrolling is desired. A value of null turns scrolling off. If there is only one line of text scrolling will be from right to left. If there is more than one line of text scrolling will be from bottom to top. Passing in null turns scrolling off.
    `brightSpec` - Brightness specification if a change in brightness is desired. A value of null results in no change to current brightness.
    `colorSpec` - Color specification if a change in color is desired. A value of null results in no change to current color.
  Throws:
    `IllegalArgumentException` - if the mode parameter is not one of `TWELVE_HOUR_CLOCK`, `TWENTYFOUR_HOUR_CLOCK`.
    `IllegalStateException` - if the TextDisplay resource was lost.

### setTextDisplay

    void setTextDisplay(String[] text,
                        BlinkSpec blinkSpec,
                        ScrollSpec scrollSpec,
                        BrightSpec brightSpec,
                        ColorSpec colorSpec)
                        throws IllegalStateException

  Displays text on the front panel display. If multiple fonts are possible the implementation SHALL determine which will be used. Sets the LED front panel to the text mode; see `STRING_MODE`. The text parameter will be used to display text characters in the display. Wrapping occurs if there is more than one line, wrapping is turned on, and the text over-fills at least one line.

  Parameters:
    `text` - String of characters to display. Each string in the array represents a line of text. text[0] represents the top line, text[1] represents the next line down, and so forth.
    `blinkSpec` - Blink specification if blinking is desired. Passing in null turns blinking off.
    `scrollSpec` - Scroll specification if scrolling is desired. If there is only one line of text scrolling will be from right to left. If there is more than one line of text scrolling will be from bottom to top. Passing in null turns scrolling off.
    `brightSpec` - Brightness specification if a change in brightness is desired. A value of null results in no change to current brightness.
    `colorSpec` - Color specification if a change in color is desired. A value of null results in no change to current color.
  Throws:
    `IllegalArgumentException` - if the text array contains more than 1 line and one or more lines are longer than the display and wrap is turned off.
    `IllegalStateException` - if the TextDisplay resource was lost.

### setWrap

    void setWrap(boolean wrap)

  Sets wrapping on or off.

  Parameters:
    `wrap` - If wrap is true wrapping is turned on, otherwise wrapping is turned off.

### eraseDisplay

    void eraseDisplay()

  Removes characters from the text display.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD